# List case files **GET /cases/files/{caseId}** Lists the files uploaded to the case, optionally filtered by extraction code, opposing-counsel shared status, tags or text. On a case shared with opposing counsel, files are limited to what the caller may see. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Access token ## Parameters ### Headers - **organization** (string) id of the selected (active) organization ### Path parameters - **caseId** (string) ### Query parameters - **page** (number) - **perPage** (number) - **skip** (number) If skip/limit not provided, page/perPage will take precedence - **limit** (number) If skip/limit not provided, page/perPage will take precedence - **sortOrder** (string) - **searchText** (string) - **extractionCode** (string) - **tags** (array[string]) - **category** (string) - **sortBy** (string) - **sharedStatus** (string) Opposing-council only: filter to files whose ocSharedStatus matches (e.g. `pending` for "show me what I have not shared yet"). Ignored for non-OC callers. ## Responses ### 200 #### Body: application/json (object) - **data** (object) - **statusCode** (number) - **timestamp** (string(date-time)) [Powered by Bump.sh](https://bump.sh)